From d411d908a490fcd21327b72543955301c598a32b Mon Sep 17 00:00:00 2001
From: Hans-Christoph Steiner <hans@eds.org>
Date: Thu, 15 Dec 2011 21:59:22 -0800
Subject: [PATCH 1/1] fixes for workaround for "gop multiplicity" bug (2621932)

---
 src/g_canvas.h |    2 --
 src/g_editor.c |    2 --
 2 files changed, 0 insertions(+), 4 deletions(-)

diff --git a/src/g_canvas.h b/src/g_canvas.h
index b966665..fcf07bd 100644
--- a/src/g_canvas.h
+++ b/src/g_canvas.h
@@ -370,8 +370,6 @@ EXTERN int gobj_shouldvis(t_gobj *x, struct _glist *glist);
 EXTERN t_glist *glist_new( void);
 EXTERN void glist_init(t_glist *x);
 EXTERN void glist_add(t_glist *x, t_gobj *g);
-EXTERN void glist_cleanup(t_glist *x);
-EXTERN void glist_free(t_glist *x);
 
 EXTERN void glist_clear(t_glist *x);
 EXTERN t_canvas *glist_getcanvas(t_glist *x);
diff --git a/src/g_editor.c b/src/g_editor.c
index c2ba8ae..8266776 100644
--- a/src/g_editor.c
+++ b/src/g_editor.c
@@ -940,13 +940,11 @@ static t_editor *editor_new(t_glist *owner)
     sprintf(buf, ".x%lx", (t_int)owner);
     x->e_guiconnect = guiconnect_new(&owner->gl_pd, gensym(buf));
     x->e_clock = 0;
-    post("create %x", x);
     return (x);
 }
 
 static void editor_free(t_editor *x, t_glist *y)
 {
-    post("freed  %x", x);
     glist_noselect(y);
     guiconnect_notarget(x->e_guiconnect, 1000);
     binbuf_free(x->e_connectbuf);
-- 
1.7.4.1

